Subject: bug#6241: Please make buffer-offer-save permanent local

From: Lennart Borgman <[email-masked]>
Date: Thu, 27 May 2010 03:35:56 +0200

On Thu, May 27, 2010 at 3:28 AM, MON KEY <[email-masked]> wrote:
>> importantly, I'm not sure how it'd affect existing code.  Could someone
>> investigate how safe would be such a change, and could someone argue for
>> (and/or against) it?
>
> I don't have a definitive use case where this is clearly NTRT but in
> general I find these types of `globals' invasive and I appreciate the
> luxury of being able to nuke them when and as I see fit.

It seems like you are misunderstanding what

  (put 'buffer-offer-save 'permanent-local t)

means. There is no problem still killing the local variable. You can
do that with

  (kill-local-variable 'buffer-offer-save)

just as before. The only difference is that it is not killed when you
change major mode in the buffer.

> Let
> third-parties put the variable as needed if that is what they/their code
> requires.... esp. as they may have no idea whatsoever what _I_ will be
> doing with _my_ buffers. From a user perspective it is often a burden
> for me to undo this type overreaching.

What burden do you see here?